Page MenuHomeFreeBSD

Remove support for EOL FreeBSD 12.3 Purposefully not touching misc/freebsd-release-manifests as re@ will take care of that themselves.
ClosedPublic

Authored by rene on Feb 18 2023, 12:08 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jun 15, 8:30 PM
Unknown Object (File)
Mon, Jun 3, 8:26 AM
Unknown Object (File)
Sat, Jun 1, 8:51 AM
Unknown Object (File)
Sun, May 26, 9:10 AM
Unknown Object (File)
Wed, May 22, 4:48 PM
Unknown Object (File)
Wed, May 22, 2:03 PM
Unknown Object (File)
Wed, May 22, 7:16 AM
Unknown Object (File)
May 18 2024, 12:07 PM

Details

Summary

Mk/bsd.port.mk: mark FreeBSD 12.3 as unsupported.

databases/mongodb60: remove IGNORE for EOL FreeBSD 12.3

devel/freebsd-sysroot: wonder if this should go to 12.4-RELEASE

devel/malloy: this should build fine on 12.4-RELEASE

emulators/ppsspp: remove workaround for EOL FreeBSD 12.3

emulators/yuzu: remove workaround for EOL 12.3-RELEASE

games/punchy: remove workaround for EOL FreeBSD 12.3

lang/gcc11*: bump a __FreeBSD_version in libphobos to 1204000

misc/mbuffer: remove workaround for EOL FreeBSD 12.3 for aarch64

sysutils/libdisplay-info: remove workaround for EOL FreeBSD 12.3

www/*chromium: remove IGNORE for EOL FreeBSD 12.3

www/iridium: remove IGNORE for EOL FreeBSD 12.3

x11-wm/kwinft: remove workaround for EOL FreeBSD 12.3

x11-wm/labwc: remove workaround for EOL FreeBSD 12.3

x11/hyprpaper: remove workaround for expired FreeBSD 12.3

devel/electron22: remove IGNORE for EOL FreeBSD 12.3

lang/rust: untangle OSVERSION logic a bit

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rene requested review of this revision.Feb 18 2023, 12:08 PM

Tested successfully and approved as far as lang/gcc11 and lang/gcc11-devel are concerned.

this seems a bit early, we have to support 12.3 6 more weeks

jbeich added inline comments.
x11/hyprpaper/distinfo
-2–1

Drop TIMESTAMP part: during an OS upgrade builds are not reproducible.

More ports with 12.3-specific cruft:

  • biology/wfa2-lib/files/patch-system_profiler__timer.h
  • devel/concurrencpp/Makefile (BROKEN_FreeBSD_12)
  • devel/qcoro/Makefile (BROKEN_FreeBSD_12)
  • devel/root/Makefile (post-patch, not sure about PLIST_FILES)
  • editors/imhex/Makefile (OSMAJOR + IGNORE + pre.mk/post.mk)
  • emulators/rpcs3/Makefile (bundled-libcxx)
  • graphics/cxxplot/Makefile (BROKEN_FreeBSD_12)

devel/electron22: looks good. thank you working on this.

databases/mongodb60/Makefile
94

Breaks build outside of poudriere. ${ARCH} requires at least bsd.port.options.mk.

$ make describe
make: "/usr/ports/databases/mongodb60/Makefile" line 102: Malformed conditional (${ARCH} == amd64)
make: Fatal errors encountered -- cannot continue
make: stopped in /usr/ports/databases/mongodb60
devel/electron22/Makefile
227

Breaks build outside of poudriere. ${ARCH} requires at least bsd.port.options.mk.

$ make describe
make: "/usr/ports/devel/electron22/Makefile" line 228: Malformed conditional (${PORT_OPTIONS:MHEIMDAL_BASE} && !exists(/usr/lib/libkrb5.so))
make: "/usr/ports/devel/electron22/Makefile" line 232: Malformed conditional (${COMPILER_VERSION} != 130)
make: "/usr/ports/devel/electron22/Makefile" line 246: Malformed conditional (${ARCH} == "amd64")
make: "/usr/ports/devel/electron22/Makefile" line 252: Malformed conditional (${ARCH} == "i386")
make: Fatal errors encountered -- cannot continue
make: stopped in /usr/ports/devel/electron22
www/chromium/Makefile
212

Breaks build: ${COMPILER_VERSION} is defined by USES=compiler, so requires pre/post.

$ make -V BUILD_DEPENDS
make: "/usr/ports/www/chromium/Makefile" line 226: Malformed conditional (${COMPILER_VERSION} != 130)
make: Fatal errors encountered -- cannot continue
make: stopped in /usr/ports/www/chromium
www/iridium/Makefile
201

Breaks build: ${COMPILER_VERSION} is defined by USES=compiler, so requires pre/post.

$ make -V BUILD_DEPENDS
make: "/usr/ports/www/iridium/Makefile" line 204: Malformed conditional (${COMPILER_VERSION} != 130)
make: Fatal errors encountered -- cannot continue
make: stopped in /usr/ports/www/iridium
www/ungoogled-chromium/Makefile
227

Breaks build: ${COMPILER_VERSION} is defined by USES=compiler, so requires pre/post.

$ make -V BUILD_DEPENDS
make: "/usr/ports/www/ungoogled-chromium/Makefile" line 232: Malformed conditional (${COMPILER_VERSION} != 130)
make: Fatal errors encountered -- cannot continue
make: stopped in /usr/ports/www/ungoogled-chromium

Rebase after eb35c77bfe9c

  1. Updating D38664: Remove support for EOL FreeBSD 12.3

Catch up with latest main

  • devel/concurrencpp: remove workaround for EOL FreeBSD 12.3
  • devel/qcoro: remove BROKEN for EOL FreeBSD 12.3
  • devel/root: remove workaround for EOL FreeBSD 12.3
  • editors/imhex: remove IGNORE for EOL FreeBSD 12.3 (and pre-2022 14-CURRENT)
  • graphics/cxxplot: remove support for EOL FreeBSD 12.3
  1. Updating D38664: Remove support for EOL FreeBSD 12.3
  • *: fix make describe
  • x11/hyprpaper: revert TIMESTAMP update in distinfo to keep build reproducible

this seems a bit early, we have to support 12.3 6 more weeks

I know, that is what the title says. The idea is to have things ironed out beforehand so it does not affect 2023Q2.

Did you forget biology/wfa2-lib and emulators/rpcs3? I test rpcs3 build on 12.4 regularly where bundled-libcxx is not used.

devel/electron22/Makefile
227

Still broken: ${COMPILER_VERSION} is defined by USES=compiler, so requires pre/post.

$ make describe                                                                                           poudriere γ devel/electron22
make: "/usr/ports/devel/electron22/Makefile" line 233: Malformed conditional (${COMPILER_VERSION} != 130)
make: Fatal errors encountered -- cannot continue
make: stopped in /usr/ports/devel/electron22
rene marked an inline comment as done.Feb 19 2023, 2:10 PM

Did you forget biology/wfa2-lib and emulators/rpcs3? I test rpcs3 build on 12.4 regularly where bundled-libcxx is not used.

Hmm, I must have missed those two ports. I've added them to this review.

  • biology/wfa2-lib: remove obsolete patch
  • emulators/rpcs3: remove workaround for EOL FreeBSD 12.3
  • devel/electron22: second attempt to fix make describe

Rebase.

  1. Updating D38664: Remove support for EOL FreeBSD 12.3
pkubaj added inline comments.
devel/freebsd-sysroot/Makefile
48 ↗(On Diff #117706)

Please see https://reviews.freebsd.org/D37698. It will need to be rebased since powerpcspe flavor was added recently, but that's a minor change since powerpcspe flavor uses 13.1-RELEASE anyway.

dae4d6bdd2a5 added one more place to clean up after 12.3 EOL.

  • games/aquaria: remove support for EOL FreeBSD 12.3
  1. Updating D38664: Remove support for EOL FreeBSD 12.3

For kde@, devel/qcoro looks good. (It builds on 12.4)

Revert "Uses/cabal.mk: Extend the text-2 workaround to 12.3-RELEASE."

This revision was not accepted when it landed; it landed in state Needs Review.Mar 31 2023, 12:01 AM
This revision was automatically updated to reflect the committed changes.